Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.config.profile.authn
Class AbstractLoginHandlerBeanDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
              edu.internet2.middleware.shibboleth.idp.config.profile.authn.AbstractLoginHandlerBeanDefinitionParser

All Implemented Interfaces:
  BeanDefinitionParser

Direct Known Subclasses:
  IPAddressLoginHandlerBeanDefinitionParser, PreviousSessionLoginHandlerBeanDefinitionParser, RemoteUserLoginHandlerBeanDefinitionParser, UsernamePasswordLoginHandlerBeanDefinitionParser

    public abstract class AbstractLoginHandlerBeanDefinitionParser

extends AbstractSingleBeanDefinitionParser

Base class for authentication handler definition parsers.

Field Summary

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE`

Constructor Summary
`AbstractLoginHandlerBeanDefinitionParser()`

Method Summary
`protected void` | `doParse(Element config, BeanDefinitionBuilder builder)`
`protected boolean` | `shouldGenerateId()`

Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
`doParse, getBeanClass, getBeanClassName, getParentName, parseInternal`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractLoginHandlerBeanDefinitionParser

    public AbstractLoginHandlerBeanDefinitionParser()

Method Detail

### doParse

    protected void doParse(Element config,
                           BeanDefinitionBuilder builder)

  Overrides:
    `doParse` in class `AbstractSingleBeanDefinitionParser`

### shouldGenerateId

    protected boolean shouldGenerateId()

  Overrides:
    `shouldGenerateId` in class `AbstractBeanDefinitionParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2009 Internet2. All Rights Reserved.